summaryrefslogtreecommitdiff
path: root/tests/expect.sh
diff options
context:
space:
mode:
authorChristophe Rhodes <csr21@cam.ac.uk>2006-01-09 13:00:17 +0000
committerChristophe Rhodes <csr21@cam.ac.uk>2006-01-09 13:00:17 +0000
commit04d819bb1a2e64de4e997203b9516229bb73c686 (patch)
tree3ce1b246d5ea238f059de10b33236a48b329f2a5 /tests/expect.sh
parent732ad8030a354ff38af83a84173bfc919a4d7f1c (diff)
0.9.8.27:
Merge patch from James Bielman fixing self-build under Win32. ... a little bit of an accident ensued; I ran canonicalize-whitespace on .sh files, which seemed to work (except on wc.sh) until it scribbled all over make.sh, confusing the shell interpreter utterly. ... the resulting files have built the system, nevertheless.
Diffstat (limited to 'tests/expect.sh')
-rw-r--r--tests/expect.sh38
1 files changed, 19 insertions, 19 deletions
diff --git a/tests/expect.sh b/tests/expect.sh
index b3c986cc5..49e848933 100644
--- a/tests/expect.sh
+++ b/tests/expect.sh
@@ -7,36 +7,36 @@ expect_load_error ()
{
# Test compiling and loading.
$SBCL <<EOF
- (compile-file "$1")
- ;;; But loading the file should fail.
- (multiple-value-bind (value0 value1) (ignore-errors (load *))
- (assert (null value0))
- (format t "VALUE1=~S (~A)~%" value1 value1)
- (assert (typep value1 'error)))
- (sb-ext:quit :unix-status 52)
+ (compile-file "$1")
+ ;;; But loading the file should fail.
+ (multiple-value-bind (value0 value1) (ignore-errors (load *))
+ (assert (null value0))
+ (format t "VALUE1=~S (~A)~%" value1 value1)
+ (assert (typep value1 'error)))
+ (sb-ext:quit :unix-status 52)
EOF
if [ $? != 52 ]; then
- echo compile-and-load $1 test failed: $?
- exit 1
+ echo compile-and-load $1 test failed: $?
+ exit 1
fi
# Test loading into the interpreter.
$SBCL <<EOF
- (multiple-value-bind (value0 value1) (ignore-errors (load "$1"))
- (assert (null value0))
- (format t "VALUE1=~S (~A)~%" value1 value1)
- (assert (typep value1 'error)))
- (sb-ext:quit :unix-status 52)
+ (multiple-value-bind (value0 value1) (ignore-errors (load "$1"))
+ (assert (null value0))
+ (format t "VALUE1=~S (~A)~%" value1 value1)
+ (assert (typep value1 'error)))
+ (sb-ext:quit :unix-status 52)
EOF
if [ $? != 52 ]; then
- echo load-into-interpreter $1 test failed: $?
- exit 1
+ echo load-into-interpreter $1 test failed: $?
+ exit 1
fi
}
# Test that a file compiles cleanly, with no ERRORs, WARNINGs or
# STYLE-WARNINGs.
-expect_clean_compile ()
+expect_clean_compile ()
{
$SBCL <<EOF
(multiple-value-bind (pathname warnings-p failure-p)
@@ -105,7 +105,7 @@ expect_compiler_note ()
(compile-file "$1"))
EOF
if [ $? != 52 ]; then
- echo expect-compiler-note $1 test failed: $?
- exit 1
+ echo expect-compiler-note $1 test failed: $?
+ exit 1
fi
}